BasicDesktopPaneUI.OpenAction (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicDesktopPaneUI.OpenAction class
Date: 2016-07-28

javax.swing.plaf.basic

## Class BasicDesktopPaneUI.OpenAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - javax.swing.plaf.basic.BasicDesktopPaneUI.OpenAction

- All Implemented Interfaces:
    ActionListener, Serializable, Cloneable, EventListener, Action
  Enclosing class:
    BasicDesktopPaneUI

      protected class BasicDesktopPaneUI.OpenAction
      extends AbstractAction

  Handles restoring a minimized or maximized internal frame.
  Since:
    1.3

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OpenAction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(ActionEvent evt)` Invoked when an action occurs.
    `boolean` | `isEnabled()` Returns true if the action is enabled.

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OpenAction

          protected OpenAction()

  - ### Method Detail

    - #### actionPerformed

          public void actionPerformed(ActionEvent evt)

      Description copied from interface: `ActionListener`
      Invoked when an action occurs.

    - #### isEnabled

          public boolean isEnabled()

      Description copied from class: `AbstractAction`
      Returns true if the action is enabled.
      Specified by:
        `isEnabled` in interface `Action`
      Overrides:
        `isEnabled` in class `AbstractAction`
      Returns:
        true if the action is enabled, false otherwise
      See Also:
        `Action.isEnabled()`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.